/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-30 11:06:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.service.PrintingProjectStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.printingprojectstatistic.PrintingProjectStatisticInfo;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public class ProjectStatisticServiceTest extends BaseTest {
    @Autowired
    private PrintingProjectStatisticService printingProjectStatisticService;

    @Test
    public void getPrintingProjectStatisticTest() throws Exception {
        Long orgId = 1L;
        Long examId = 1L;
        PrintingProjectStatisticInfo info = printingProjectStatisticService.getPrintingProjectStatistic(orgId, examId);
        System.out.println(jsonMapper.toJson(info));
    }

    @Test
    public void initPrintingProjectStatisticTest() throws Exception {
        Long orgId = 27L;
        Long examId = 70L;
        printingProjectStatisticService.refreshPrintingProjectStatistic(orgId, examId);
        //printingProjectStatisticService.initAllPrintingProjectStatistic();
    }

}